=== debian/rules ===
#!/usr/bin/make -f

SOURCE_NAME    := $(shell dpkg-parsechangelog | awk -F': ' '/^Source: / {print $$2}')
SOURCE_VERSION := $(shell dpkg-parsechangelog | awk -F': ' '/^Version: / {print $$2}')
BUILDER        := $(shell dpkg-parsechangelog | awk -F': ' '/^Maintainer: / {print $$2}')

DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

export DEB_BUILD_MAINT_OPTIONS = optimize=-lto

ifeq ($(DEB_HOST_ARCH_OS), linux)
valgrind = --enable-valgrind
else
valgrind = --disable-valgrind
endif

XDEP = $(shell cat /usr/share/xserver-xorg/videodrvdep)
XSUB = debian/xserver-xlibre-video-intel.substvars

# Enable SNA, pass builderstring:
override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-sna \
		--enable-uxa \
		--libdir=/usr/lib \
		--libexecdir=/usr/lib/xserver-xorg-video-intel \
		--with-xorg-module-dir=/usr/lib/xorg/modules \
		--with-builderstring="$(SOURCE_NAME) $(SOURCE_VERSION) ($(BUILDER))" \
		$(valgrind)

override_dh_auto_install:
	dh_auto_install --destdir debian/tmp

# Kill *.la files, libxvmc symlinks, and forget no-one:
override_dh_install:
	find debian/tmp -name '*.la' -delete
	rm -f debian/tmp/usr/lib/libIntelXvMC.so
	mkdir -p debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
	mv debian/tmp/usr/lib/libIntelXvMC.so.* \
		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/.
	dh_install

override_dh_missing:
	dh_missing --fail-missing

# Debug package:
override_dh_strip:
	dh_strip

# That's a plugin, use appropriate warning level:
override_dh_shlibdeps:
	dh_shlibdeps -- --warnings=6

override_dh_xsf_substvars:
	echo "xviddriver:Depends=$(XDEP)" >> $(XSUB)
	echo "xviddriver:Provides=xlibre-driver-video" >> $(XSUB)
#	dh_xsf_substvars

override_dh_installchangelogs:
	dh_installchangelogs debian/upstream.changelog

%:
	dh $@ --with quilt,xsf --builddirectory=build/

# Snapshots should only target experimental:
generate-snapshot: UPSTREAM_VERSION = $(shell echo $(SOURCE_VERSION) | sed 's/^[0-9]*://;s/-.*$$//')
generate-snapshot: UPSTREAM_BRANCH ?= upstream-unstable
generate-snapshot: ORIG             = ../$(SOURCE_NAME)_$(UPSTREAM_VERSION).orig.tar.gz
generate-snapshot:
	if [ -f $(ORIG) ]; then \
	  echo "$(ORIG) already exists, stopping"; exit 1; \
	fi
	git archive --format=tar --prefix=$(SOURCE_NAME)-$(UPSTREAM_VERSION)/ $(UPSTREAM_BRANCH) \
	  | gzip -9 > $(ORIG)
	pristine-tar commit $(ORIG) $(UPSTREAM_BRANCH)
