=== debian/watch ===
version=4
https://github.com/X11Libre/xf86-video-intel/tags .*/xlibre-xf86-video-intel-(.*)@ARCHIVE_EXT@
