=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: xserver-xlibre-video-intel
 Section: x11
 Priority: optional
-Maintainer: apebl <a@pebl.cc>
+Maintainer: Aitor <aitor@genuen.org>
+Uploaders: apebl <a@pebl.cc>
 Build-Depends:
  debhelper-compat (= 13),
  pkg-config,
@@ -32,6 +33,7 @@
  libxcb-present-dev,
  libxcb-dri3-dev,
 Standards-Version: 4.6.0
+Origin: Genuen
 Vcs-Git: https://github.com/xlibre-deb/xserver-xlibre-video-intel.git
 Vcs-Browser: https://github.com/xlibre-deb/xserver-xlibre-video-intel
 Homepage: https://github.com/X11Libre
